// some basic defines
#define TEast 1
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class SVDCommando
	{
		units[] = {SVDCommandoSR};
		weapons[] = {SVDCommando};
		requiredVersion = 1.01;
	};
};

class CfgWeapons

{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};
	class SVDCommando: Riffle
	{
		displayName = Colt Commando;
		displayNameMagazine = Colt Mag;
		shortNameMagazine = Colt;

		scopeWeapon=public;
		scopeMagazine=public;
		model="\SVDCommando\SVDCommando.p3d";
		modelOptics="optika_m16";
		picture="\dtaext\equip\w\w_m4.paa";
		optics=true;
		opticsZoomMin=0.35;
		opticsZoomMax=0.35;
                count=20;
                magazines[]={"ColtMag"};
		modes[]={"Single","FullAuto"};

		class Single
		{
			ammo="BulletSingleW";
			multiplier=1;
			burst=1;

			displayName="Commando Semi";

			dispersion=0.002000;
			  sound[]={"\SVDCommando\commando.wav",db0,1};
			soundContinuous=0;
			reloadTime=0.150000;
			ffCount=1;
			recoil="riffleSingle";
			autoFire=0;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
		class Burst
		{
			ammo="BulletBurstW";
			multiplier=1;
			burst=3;

			displayName="Commando Burst";

			dispersion=0.002600;
			  sound[]={"\SVDCommando\commando.wav",db0,1};
			soundContinuous=0;
			reloadTime=0.100000;
			ffCount=3;
			recoil="riffleBurst3";
			autoFire=0;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
		class FullAuto
		{
			ammo="BulletFullAutoW";
			multiplier=1;
			burst=1;

			displayName="Commando Auto";

			dispersion=0.004000;
			  sound[]={"\SVDCommando\commando.wav",db0,1};
			soundContinuous=0;
			reloadTime=0.100000;
			ffCount=30;
			recoil="riffleBurst3";
			autoFire=1;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
};
                 class ColtMag:  SVDCommando
	{
		 scopeWeapon=0;
		 scopeMagazine=2;
		 displayNameMagazine="$STR_MN_Colt";
		 shortNameMagazine="Colt";
		 picture="\dtaext\equip\m\m_m4.paa";
        };

};
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SVDCommandoSR: SoldierWB
	{
	displayName="Soldier (Colt Commando)";
	weapons[]={"SVDCommando","Binocular","NVGoggles","Throw","Put"};
	magazines[]={ColtMag,ColtMag,ColtMag,ColtMag,ColtMag,ColtMag,HandGrenade,HandGrenade,HandGrenade,HandGrenade};
	};

};




class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxySVDCommando: ProxyWeapon {};
};